> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /jpx/listings/etf

> Get monthly investment trust and ETF quotation listings from JPX

**Price:** 1 credit

**⚠️ Common errors:** 412: ETF/fund listing data not available



## OpenAPI

````yaml /openapi/finance-markets.json post /api/jpx/listings/etf
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/jpx/listings/etf:
    post:
      tags:
        - /jpx
      summary: /jpx/listings/etf
      description: |-
        Get monthly investment trust and ETF quotation listings from JPX

        **Price:** 1 credit

        **⚠️ Common errors:** 412: ETF/fund listing data not available
      operationId: __api_jpx_listings_etf_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JpxListingsEtfPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/JpxListedEtf'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    JpxListingsEtfPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    JpxListedEtf:
      properties:
        '@type':
          type: string
          default: JpxListedEtf
        code:
          type: string
        name:
          type: string
        period:
          anyOf:
            - type: string
            - type: 'null'
        margin_type:
          anyOf:
            - type: string
            - type: 'null'
        trading_unit:
          anyOf:
            - type: number
            - type: 'null'
        open:
          anyOf:
            - type: number
            - type: 'null'
        high:
          anyOf:
            - type: number
            - type: 'null'
        low:
          anyOf:
            - type: number
            - type: 'null'
        close:
          anyOf:
            - type: number
            - type: 'null'
        volume:
          anyOf:
            - type: number
            - type: 'null'
        trading_value:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - code
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````